Thunderbird 60 og extensions understøtter

Thunderbird 60 vil være den næste store udgivelse af desktop-e-mail-programmet. Det er en større udgivelse, fordi Thunderbird flyttes til en ny udvidet base-base (og som Firefox er, når version 60 rammer).

Thunderbird 60 leveres med en opdateret brugergrænseflade og masser af andre ændringer. Thunderbird-brugere, der kører udvidelser i e-mail-klienten, kan blive problemer med kompatibilitet, da Thunderbird bruger en streng kompatibilitetspolitik, når det kommer til udvidelser.

På almindeligt engelsk : enhver udvidelse, der ikke eksplicit er kompatibel med Thunderbird 60, deaktiveres. Forsøg på at installere inkompatible Thunderbird-udvidelser er blokeret, og brugerne får 'kunne ikke installeres, fordi det ikke er kompatibelt med Thunderbird' fejlmeddelelse.

not compatible thunderbird 60

Ændringen er katastrofal for Thunderbird's ekstosionssystem. Hvis du tjekker de to første sider med udvidelser, der har flest brugere på Thunderbird-tilføjelsessite, vil du opdage, at kun otte af de 40 Thunderbird-udvidelser med flest brugere er kompatible på dette tidspunkt.

Situationen er endnu værre for de top 40 tilføjelser med de højeste ratings, da kun fem af dem er kompatible med Thunderbird 60.

Tip : du kan bekræfte, om dine Thunderbird-udvidelser er kompatible ved at besøge Tilføjelsessite og søge efter udvidelserne.

Der er imidlertid en vej ud på dette tidspunkt. Thunderbird-udviklingsteamet tilføjede en mulighed for at fravælge den strenge kompatible kontrolforlængelse af udvidelsen. Selvom det ikke nødvendigvis betyder, at udvidelser fungerer, hvis de ikke er opført som kompatible, er chancen god for, at de gør det, hvis de er blevet opdateret for nylig.

thunderbird extensions enable

Dette er, hvad du skal gøre for at vende kontakten og deaktivere streng udvidelsesversionskontrol i e-mail-klienten:

  1. Åbn Thunderbird, hvis den ikke allerede er åben.
  2. Tryk på Alt-tasten for at få vist menulinjen og vælg Værktøjer> Indstillinger i menuen. Alternativ: Klik på det nye menuikon (de tre vandrette bjælker) og vælg indstillinger, når det åbnes.
  3. Skift til fanen Avanceret.
  4. Klik på knappen Config Editor under Generelt (den åbnes som standard).
  5. Bekræft, at du vil være forsigtig.
  6. Søg efter extensions.strictCompatibility.
  7. Dobbeltklik på indstillingen.

En værdi af sand (standard) blokerer udvidelser, der ikke eksplicit er anført som kompatible med Thunderbird 60, en falsk værdi deaktiverer den strenge kontrol.

Thunderbird 60 fås som en beta-version i skrivende stund. Du kan installere den på en anden maskine eller en virtuel maskine for at teste udvidelser, du har brug for. Den nye version af e-mail-klienten frigives den 15. maj 2018 til den stabile kanal. Thunderbird 60 frigives en uge efter Firefox 60, som Mozilla planlægger at frigive den 9. maj 2018 .